## GoaMaps GoaMaps — Generated C code for the org.gnome.OnlineAccounts.Maps D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_maps_interface_info ()
guint | goa_maps_override_properties ()
void | goa_maps_proxy_new ()
GoaMaps * | goa_maps_proxy_new_finish ()
GoaMaps * | goa_maps_proxy_new_sync ()
void | goa_maps_proxy_new_for_bus ()
GoaMaps * | goa_maps_proxy_new_for_bus_finish ()
GoaMaps * | goa_maps_proxy_new_for_bus_sync ()
GoaMaps * | goa_maps_skeleton_new ()

## Types and Values

| GoaMaps
struct | GoaMapsIface
struct | GoaMapsProxy
struct | GoaMapsProxyClass
struct | GoaMapsSkeleton
struct | GoaMapsSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaMaps
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaMapsSkeleton
        ╰── GDBusProxy
            ╰── GoaMapsProxy

## Prerequisites

GoaMaps requires GObject.

## Implemented Interfaces

GoaMapsProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaMaps.

GoaMapsSkeleton implements GDBusInterface and GoaMaps.

## Known Implementations

GoaMaps is implemented by GoaMapsProxy and GoaMapsSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Maps D-Bus interface in C.

## Functions

### goa_maps_interface_info ()

    GDBusInterfaceInfo *
    goa_maps_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.Maps D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.14.0

### goa_maps_override_properties ()

    guint
    goa_maps_override_properties (GObjectClass *klass,
                                  guint property_id_begin);

Overrides all GObject properties in the GoaMaps interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.14.0

### goa_maps_proxy_new ()

    void
    goa_maps_proxy_new (GDBusConnection *connection,
                        GDBusProxyFlags flags,
                        const gchar *name,
                        const gchar *object_path,
                        GCancellable *cancellable,
                        GAsyncReadyCallback callback,
                        gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Maps. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_maps_proxy_new_finish()` to get the result of the operation.

See `goa_maps_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.14.0

### goa_maps_proxy_new_finish ()

    GoaMaps *
    goa_maps_proxy_new_finish (GAsyncResult *res,
                               GError **error);

Finishes an operation started with `goa_maps_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_maps_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMapsProxy]

Since: 3.14.0

### goa_maps_proxy_new_sync ()

    GoaMaps *
    goa_maps_proxy_new_sync (GDBusConnection *connection,
                             GDBusProxyFlags flags,
                             const gchar *name,
                             const gchar *object_path,
                             GCancellable *cancellable,
                             GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Maps. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_maps_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMapsProxy]

Since: 3.14.0

### goa_maps_proxy_new_for_bus ()

    void
    goa_maps_proxy_new_for_bus (GBusType bus_type,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Like `goa_maps_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_maps_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_maps_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.14.0

### goa_maps_proxy_new_for_bus_finish ()

    GoaMaps *
    goa_maps_proxy_new_for_bus_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `goa_maps_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_maps_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMapsProxy]

Since: 3.14.0

### goa_maps_proxy_new_for_bus_sync ()

    GoaMaps *
    goa_maps_proxy_new_for_bus_sync (GBusType bus_type,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Like `goa_maps_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_maps_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMapsProxy]

Since: 3.14.0

### goa_maps_skeleton_new ()

    GoaMaps *
    goa_maps_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Maps.

#### Returns

The skeleton object.

[transfer full][type GoaMapsSkeleton]

Since: 3.14.0

## Types and Values

### GoaMaps

    typedef struct _GoaMaps GoaMaps;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Maps.

Since: 3.14.0

### struct GoaMapsIface

    struct GoaMapsIface {
      GTypeInterface parent_iface;
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Maps.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

Since: 3.14.0

### struct GoaMapsProxy

    struct GoaMapsProxy;

The GoaMapsProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.14.0

### struct GoaMapsProxyClass

    struct GoaMapsProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaMapsProxy.

#### Members

Since: 3.14.0

### struct GoaMapsSkeleton

    struct GoaMapsSkeleton;

The GoaMapsSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.14.0

### struct GoaMapsSkeletonClass

    struct GoaMapsSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaMapsSkeleton.

#### Members

Since: 3.14.0